Identify account format

Prev Next
Get
/national_account_formats

It gets the account format information of the country passed as query parameter and returns the following information: the acronym of the national ID, its local name, the format to validate it as a regex, the length and an example.

Security
OAuth

OAuth Grant type, JWT Profile

FlowClient Credentials
Token URL$(host)/oauth/token
Scopes:
account_formats.readAccessing all account formats and validating parameters
Header parameters
x-client-id
string (uuid) Required

Identifies the client of the api

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Examplea1b30a84-7bf3-442e-84a0-e935d8163b5a
Query parameters
country
string

ISO country code

Max length2
Pattern^[A-Z]{2}$
ExampleES
Responses
200

It returns the account format information (name, acronym, format, length and an example)

GB format

Account format for GB

{
  "data": [
    {
      "country": "GB",
      "nationalIdLocalAcronym": "SC",
      "nationalIdLocalName": "Sort Code",
      "format": "[0-9]{2}[0-9]{4}",
      "length": "6",
      "example": "207305"
    }
  ],
  "_count": "1",
  "_links": {}
}
Expand All
object

Account format response

data
Array of object (AccountFormatBody)

Information available

Max items50
object

Information about one account format

country
string

Country ISO code

Max length2
Pattern^[A-Z]{2}$
ExampleES
nationalIdLocalAcronym
string | null

Acronym

Max length20
Pattern^[A-Z0-9-]*$
ExampleSC
nationalIdLocalName
string | null

Name

Max length100
Pattern^[\w_\/\s]+$
ExampleIBAN National ID
format
string

Regex format

Max length50
Pattern^[A-Z0-9\{\}\[\],\-]*$
Example[A-Z]{4}[0-9]{4}
length
integer (int32)

Length

Minimum0
Maximum20
Example12
example
string

Example

Max length20
Pattern^[A-Z0-9-]*$
ExampleDBPH0100000
_count
integer (int32)

Pagination count

Minimum0
Maximum999
Example10
_links
object (_Links)

Pagination links

_first
string

Link to the first page of the list of results

Max length999
Pattern^[a-zA-Z0-9 _\-\/?&=]*$
Example/endpoint?_offset=0&_limit=10
_last
string

Link to the last page of the list of results

Max length999
Pattern^[a-zA-Z0-9 _\-\/?&=]*$
Example/endpoint?_offset=10&_limit=10
_prev
string

Link to the previous page of the list of results

Max length999
Pattern^[a-zA-Z0-9 _\-\/?&=]*$
Example/endpoint?_offset=30&_limit=10
_next
string

Link to the last page of the list of results

Max length999
Pattern^[a-zA-Z0-9 _\-\/?&=]*$
Example/endpoint?_offset=40&_limit=10
204

No Content

400

Bad Request

Internal Server Error
{
  "errors": [
    {
      "code": "400",
      "message": "BAD_REQUEST",
      "level": "FATAL",
      "description": "Bad request"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
401

User not authorized

User Unauthorized
{
  "errors": [
    {
      "code": "401",
      "message": "UNAUTHORIZED",
      "level": "FATAL",
      "description": "User unauthorized"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
403

Access forbidden

Forbidden
{
  "errors": [
    {
      "code": "403",
      "message": "FORBIDDEN",
      "level": "ERROR",
      "description": "Access forbidden"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
404

Not Found

NotFound

Not found

{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "Not found"
    }
  ]
}
Correspondent Delivery Date Not Found

The Correspondent was not found

{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "Correspondent could not be found"
    }
  ]
}
Correspondent Not Found
{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "No Route was found"
    }
  ]
}
Account Not Found

The Requested account data is not found

{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "The requested Account Number is not a valid _accountFormat_ account"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
406

The Accept header does not specifically contains one of the allowable types, usually 'application/json'

Not Acceptable
{
  "errors": [
    {
      "code": "406",
      "message": "NOT_ACCEPTABLE",
      "level": "ERROR",
      "description": "Accept header is not application/json"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
413

Most web servers have a limit of 8192 bytes (8 KB). The server will close the connection to prevent the client from continuing the request.

Request Entity Too Large
{
  "errors": [
    {
      "code": "413",
      "message": "REQUEST_ENTITY_TOO_LARGE",
      "level": "ERROR",
      "description": "Request entity larger than 8192 bytes - 8KB"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
414

URI request is longer than 2,000 characters

URI Too Long
{
  "errors": [
    {
      "code": "414",
      "message": "URI_TOO_LONG",
      "level": "ERROR",
      "description": "URI request is longer than 2000 characters"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
422

Unprocessable Entity

Unprocessable entity
{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "Unprocessable entity"
    }
  ]
}
Invalid property
{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "unexpected keys on object - wrong_key"
    }
  ]
}
Invalid Request Currency

The requested parameters contain an invalid Currency value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - currency - It must be present in routeParams or extraDetails pacs - IntrBkSttlmAmt.Ccy"
    }
  ]
}
Invalid Request Account Data

The requested parameters contain an invalid account format/number value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - accountFormat or accountNumber - They must be present in routeParams or extraDetails pacs - IntrmyAgt1.FinInstnId  CdtrAcct.Id.IBAN or CdtrAgt.FinInstnId"
    }
  ]
}
Invalid Request Charge Type

The requested parameters contain an invalid Charge Type value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - chargeType - No union satisfied. expected value to be literal OUR but got foobar expected value to be literal BEN but got foobar expected value to be literal SHA but got foobar"
    }
  ]
}
Invalid Request Origin Bank

The requested parameters contain an invalid Origin Bank value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - originBank - expected string to match pattern but did not"
    }
  ]
}
Invalid Request Origin Country

The requested parameters contain an invalid Origin Country value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - originCountry - expected string to match pattern but did not"
    }
  ]
}
Invalid Request Payment Amount

The requested parameters contain an invalid Payment Amount value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - paymentAmount - expected type to be number but got string"
    }
  ]
}
Invalid Request Value Percentage

The requested parameters contain an invalid Value Percentage value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - volumePercentage - expected number to be less than or equal to 100 but got 999999"
    }
  ]
}
Invalid Request Permanent Input

The requested parameters contain an invalid Permanent Input value
Permanent Inputs: sameCorrespondent, volumePercentage, searchIntermediary, commonCorrespondent.

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - sameCorrespondent - No union satisfied. expected string to be one of - true false. expected type to be boolean but got string"
    }
  ]
}
Invalid Request Clearing Scheme

The Request parameters contain an invalid Clearing Scheme value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - clearingScheme - expected string to match pattern but did not"
    }
  ]
}
Invalid Request Service Code

The Request parameters contain an invalid Service Code value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - serviceCode - expected string to match pattern but did not"
    }
  ]
}
Invalid SSI Correspondent Steps

The Request parameters contain an invalid SSI Correspondent Steps value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - ssiCorrespondentSteps - expected number to be less than or equal to 10 but got 11"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
429

The user has sent too many requests in a given amount of time

Too Many Requests
{
  "errors": [
    {
      "code": "429",
      "message": "TOO_MANY_REQUESTS",
      "level": "ERROR",
      "description": "Too many requests"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
500

Internal Server Error

Internal Server Error

Internal Server Error

{
  "errors": [
    {
      "code": "500",
      "message": "INTERNAL_SERVER_ERROR",
      "level": "ERROR",
      "description": "Unknown error caught in the error middleware"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
503

Service is unavailable

Service is unavailable
{
  "errors": [
    {
      "code": "503",
      "message": "SERVICE_UNAVAILABLE",
      "level": "ERROR",
      "description": "Service is unavailable"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
504

Gateway timeout

Gateway timeout
{
  "errors": [
    {
      "code": "504",
      "message": "GATEWAY_TIMEOUT",
      "level": "ERROR",
      "description": "Gateway timeout"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
default

Internal Server Error

Internal Server Error

Internal Server Error

{
  "errors": [
    {
      "code": "500",
      "message": "INTERNAL_SERVER_ERROR",
      "level": "ERROR",
      "description": "Unknown error caught in the error middleware"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription